For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payment methods

Get payment method

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
typestring · enumOpcionalValores possíveis:
minimum_valuenumberOpcional
maximum_valuenumberOpcional
activebooleanOpcional
adjustment_ratenumberOpcional
minimum_installment_valuenumberOpcional
vendorstringOpcional
always_visiblebooleanOpcional
capture_delaybooleanOpcional
get/payment-methods/{id}
GET /api/sales/payment-methods/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "type": "CREDIT_CARD",
  "minimum_value": 1,
  "maximum_value": 1,
  "active": true,
  "provider": {
    "id": "text",
    "vendor": "text",
    "image": "text",
    "access_key": "text",
    "secret_key": "text",
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "adjustment_rate": 1,
  "minimum_installment_value": 1,
  "condition": {
    "id": "text",
    "type": "IN_FULL",
    "due_date": {
      "type": "DELAY",
      "value": 1
    },
    "subsequent_due_date": {
      "type": "DELAY",
      "value": 1
    }
  },
  "installments": [
    {
      "id": "text",
      "payment_method_id": "text",
      "sequence": 1,
      "installment_id": "text",
      "tax": 1,
      "discount": 1,
      "due_date_delay": 1,
      "due_date_type": "DELAY"
    }
  ],
  "vendor": "text",
  "always_visible": true,
  "capture_delay": true,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Update payment method

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
namestringObrigatório
typestringOpcional
minimum_valuenumberOpcional
maximum_valuenumberOpcional
activebooleanOpcional
adjustment_ratenumberOpcional
minimum_installment_valuenumberOpcional
always_visiblebooleanOpcional
capture_delaybooleanOpcional
Respostas
200

PaymentMethod updated successfully

application/json
idstringObrigatório
namestringObrigatório
typestring · enumObrigatórioValores possíveis:
minimum_valuenumberObrigatório
maximum_valuenumberObrigatório
activebooleanObrigatório
adjustment_ratenumberOpcional
minimum_installment_valuenumberOpcional
put/payment-methods/{id}
PUT /api/sales/payment-methods/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 639

{
  "name": "text",
  "type": "text",
  "minimum_value": 1,
  "maximum_value": 1,
  "active": true,
  "adjustment_rate": 1,
  "minimum_installment_value": 1,
  "always_visible": true,
  "capture_delay": true,
  "provider": {
    "vendor": "text",
    "access_key": "text",
    "secret_key": "text",
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "condition": {
    "id": "text",
    "type": "IN_FULL",
    "due_date": {
      "type": "DELAY",
      "value": 1
    },
    "subsequent_due_date": {
      "type": "DELAY",
      "value": 1
    }
  },
  "installments": [
    {
      "id": "text",
      "sequence": 1,
      "installment_id": "text",
      "tax": 1,
      "discount": 1,
      "due_date_delay": 1,
      "due_date_type": "DELAY",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "type": "CREDIT_CARD",
  "minimum_value": 1,
  "maximum_value": 1,
  "active": true,
  "provider": {
    "id": "text",
    "vendor": "text",
    "image": "text",
    "access_key": "text",
    "secret_key": "text",
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "adjustment_rate": 1,
  "minimum_installment_value": 1,
  "condition": {
    "id": "text",
    "type": "IN_FULL",
    "due_date": {
      "type": "DELAY",
      "value": 1
    },
    "subsequent_due_date": {
      "type": "DELAY",
      "value": 1
    }
  },
  "installments": [
    {
      "id": "text",
      "payment_method_id": "text",
      "sequence": 1,
      "installment_id": "text",
      "tax": 1,
      "discount": 1,
      "due_date_delay": 1,
      "due_date_type": "DELAY"
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Delete payment method

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

PaymentMethod removed successfully

application/json
idstringOpcional
delete/payment-methods/{id}
DELETE /api/sales/payment-methods/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

Get payment methods

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
only_activebooleanOpcional
vendorstringOpcional
always_visiblebooleanOpcional
with_vendorbooleanOpcional
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/payment-methods
GET /api/sales/payment-methods HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "type": "CREDIT_CARD",
      "minimum_value": 1,
      "maximum_value": 1,
      "active": true,
      "adjustment_rate": 1,
      "minimum_installment_value": 1,
      "vendor": "text",
      "always_visible": true,
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}

Create payment method

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
namestringObrigatório
typestringOpcional
minimum_valuenumberOpcional
maximum_valuenumberOpcional
activebooleanOpcional
adjustment_ratenumberOpcional
minimum_installment_valuenumberOpcional
always_visiblebooleanOpcional
capture_delaybooleanOpcional
Respostas
201

PaymentMethod created successfully

application/json
idstringOpcional
namestringOpcional
typestring · enumOpcionalValores possíveis:
minimum_valuenumberOpcional
maximum_valuenumberOpcional
activebooleanOpcional
adjustment_ratenumberOpcional
minimum_installment_valuenumberOpcional
post/payment-methods
POST /api/sales/payment-methods HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 627

{
  "id": "text",
  "name": "text",
  "type": "text",
  "minimum_value": 1,
  "maximum_value": 1,
  "active": true,
  "adjustment_rate": 1,
  "minimum_installment_value": 1,
  "always_visible": true,
  "capture_delay": true,
  "provider": {
    "vendor": "text",
    "access_key": "text",
    "secret_key": "text",
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "condition": {
    "type": "IN_FULL",
    "due_date": {
      "type": "DELAY",
      "value": 1
    },
    "subsequent_due_date": {
      "type": "DELAY",
      "value": 1
    }
  },
  "installments": [
    {
      "sequence": 1,
      "installment_id": "text",
      "tax": 1,
      "discount": 1,
      "due_date_delay": 1,
      "due_date_type": "DELAY",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "type": "CREDIT_CARD",
  "minimum_value": 1,
  "maximum_value": 1,
  "active": true,
  "provider": {
    "id": "text",
    "vendor": "text",
    "image": "text",
    "access_key": "text",
    "secret_key": "text",
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "adjustment_rate": 1,
  "minimum_installment_value": 1,
  "condition": {
    "id": "text",
    "type": "IN_FULL",
    "due_date": {
      "type": "DELAY",
      "value": 1
    },
    "subsequent_due_date": {
      "type": "DELAY",
      "value": 1
    }
  },
  "installments": [
    {
      "id": "text",
      "payment_method_id": "text",
      "sequence": 1,
      "installment_id": "text",
      "tax": 1,
      "discount": 1,
      "due_date_delay": 1,
      "due_date_type": "DELAY"
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}